diff -pruN 5.1-b01-1/debian/changelog 5.1-b01-2/debian/changelog
--- 5.1-b01-1/debian/changelog	2020-06-10 19:12:36.000000000 +0000
+++ 5.1-b01-2/debian/changelog	2020-07-15 04:28:47.000000000 +0000
@@ -1,3 +1,19 @@
+jtreg (5.1-b01-2) unstable; urgency=medium
+
+  * Team upload.
+
+  [ Tiago Stürmer Daitx ]
+  * d/p/launcher.patch: set JTREG_HOME earlier. (Closes: #965047,
+    LP: #1887587).
+
+  [ tony mancill ]
+  * Use debhelper-compat 13
+  * Use https URL for Homepage in debian/control
+  * Freshen years in debian/copyright and update Source: link
+  * Set "Rules-Requires-Root: no" in debian/control
+
+ -- tony mancill <tmancill@debian.org>  Tue, 14 Jul 2020 21:28:47 -0700
+
 jtreg (5.1-b01-1) unstable; urgency=medium
 
   * Team upload.
diff -pruN 5.1-b01-1/debian/control 5.1-b01-2/debian/control
--- 5.1-b01-1/debian/control	2020-06-10 19:12:23.000000000 +0000
+++ 5.1-b01-2/debian/control	2020-07-15 04:28:47.000000000 +0000
@@ -5,7 +5,7 @@ Maintainer: Debian Java Maintainers <pkg
 Uploaders: Guillaume Mazoyer <respawneral@gmail.com>
 Build-Depends:
  ant,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  default-jdk,
  help2man,
  javahelp2,
@@ -17,7 +17,8 @@ Build-Depends:
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/java-team/jtreg.git
 Vcs-Browser: https://salsa.debian.org/java-team/jtreg
-Homepage: http://openjdk.java.net/jtreg
+Homepage: https://openjdk.java.net/jtreg
+Rules-Requires-Root: no
 
 Package: jtreg
 Architecture: all
diff -pruN 5.1-b01-1/debian/copyright 5.1-b01-2/debian/copyright
--- 5.1-b01-1/debian/copyright	2020-06-10 17:58:50.000000000 +0000
+++ 5.1-b01-2/debian/copyright	2020-07-15 04:28:47.000000000 +0000
@@ -1,9 +1,9 @@
-Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
 Upstream-Name: jtreg
-Source: http://download.java.net/openjdk/jtreg/
+Source: https://github.com/openjdk/jtreg/
 
 Files: *
-Copyright: 1996-2016, Oracle and/or its affiliates. All Rights Reserved.
+Copyright: 1996-2020, Oracle and/or its affiliates. All Rights Reserved.
 License: GPL-2 with Classpath exception
  This code is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License version 2 only, as
diff -pruN 5.1-b01-1/debian/patches/launchers.patch 5.1-b01-2/debian/patches/launchers.patch
--- 5.1-b01-1/debian/patches/launchers.patch	2020-06-10 19:03:23.000000000 +0000
+++ 5.1-b01-2/debian/patches/launchers.patch	2020-07-15 04:28:47.000000000 +0000
@@ -25,17 +25,18 @@ Forwarded: not-needed
  # Verify java version (1.)5 or newer used to run jtdiff
 --- a/src/share/bin/jtreg.sh
 +++ b/src/share/bin/jtreg.sh
-@@ -98,6 +98,9 @@
-     fi
- fi
+@@ -70,6 +70,10 @@
  
+ # Determine jtreg installation directory
+ JTREG_HOME=${JTREG_HOME:-$JT_HOME}      # allow for old version of name
 +if [ -z "${JTREG_HOME}" ]; then
 +    JTREG_HOME="/usr/share/jtreg"
 +fi
- 
- # Look for -jdk option as possible default to run jtreg
- # Unset IFS and use newline as arg separator to preserve spaces in args
-@@ -125,7 +128,7 @@
++
+ if [ -n "$JTREG_HOME" ]; then
+     if [ ! -r $JTREG_HOME/lib/jtreg.jar ];then
+         echo "Invalid JTREG_HOME=$JTREG_HOME. Cannot find or read $JTREG_HOME/lib/jtreg.jar"
+@@ -125,7 +129,7 @@
  elif [ -n "$jdk" ]; then
      JTREG_JAVA="$jdk/bin/java"
  else
